Subject: BenefitsAll

From: [email-masked]
Date: Mon, 5 Feb 2001 02:13:19 -0500 (EST)

Dear Friend  

Sorry to impose, but we got your name from an Internet search of venture 
capital contacts. I am sure you get these requests all the time...YES,  we are 
ANOTHER "Dot Com " company.  We are called  BenefitsAll. Can you help us, or 
lead us in the right direction, to investors, or help us to get the word out ? 

Our site is up, running and  being "soft marketed". Our results are quite impressive. 
We have hundreds of retailer partners and member/shoppers signed up. We also have
dozens of organizations who have signed up with us and all with WITH NO ADVERTISING.
At this point we have a small dedicated staff and a highly professional board of advisors from 
various industries. Our staff and advisors have helped us achieve goals we would have never thought possible.
 
We completed our business plan a few months back and are only now today 2/5/01)
presenting it to investors. We wanted to make sure we had a workable concept before we asked others to risk their money. Our Business plan is available upon request. Below is a quick summary.
Call or email us for more information. Our phone # is 818 707 1723. Ask for Donn Delson at ext 4#

Company Overview
BA is an online fundraising site that will link nonprofit organizations and 
their members with major online retailers, wherein they can shop and earn 
rebates. BA will retain 35 percent of the rebate given by the retailer as the 
nonprofits' shop online.  BA's goal is to create a portal that will bring 
shopping traffic from the site to the retailers.  The demographic value of 
this traffic will eventually create a secondary revenue stream from 
advertisers.
 
Founders Donn Delson and Robert Breines strongly believe in this concept.  
Rather than selling a product, carrying inventory, and shipping it, BA 
intends to carry minimal overhead.  Instead it will be the "Black Box" 
intermediary that will provide a service, charge a small percentage fee for 
each transaction, and is the conduit for these transactions.  Once the 
software is developed, the majority of expenses will be devoted to sales and 
marketing.  Delson and Breines feel so strongly that they have 
 chosen to invest the initial seed capital to build, test and validate the 
working model before asking others to invest.
  
Industry Analysis and Competition
The universe of online shopping rebate sites consists or about 12 companies, 
of which the majority are focused on schools exclusively.  One of these 
incorporates schools and charities and a few target charities only.  There is 
one site that caters to religious organizations and none to the knowledge of 
BA that targets civic/arts, service organizations and clubs.  None offer the 
winning combination of high rebates, depth of retailers, ability to change 
and channel contributions.  One of the challenges for BA will be to build awareness
of its uniqueness as the only site that serves the broad spectrum of organizations.
 
Competitive Edge
BA starts with a critical competitive edge: there is no competitor known to 
us that can claim to afford the user the almost limitless choice of 
beneficiaries for their online shopping rebates.  Each time a consumer or 
business agent shops through the BenefitsAll site they can choose which 
organization they desire to benefit from the rebate earned.
 
Furthermore, BA offers significantly more merchant choices than any other 
site, with more than 350 retailers versus 250 for the next closest 
competitor. It promotes the availability of rebates up to 30 percent of 
purchase price, compared to a high of 20 percent from the next closest 
competitor.
 
BA has experienced positive initial success.  To realize its growth goals, BA 
requires additional capital to fully implement its advertising and promotional efforts, 
develop brand awareness, secure new organizations, and to build awareness 
and regular use by their membership.
 
Thank you in advance for your consideration. Please contact us for the full 
plan that we can email and or discuss with you personally